### Method

# GSSDP.Client.can_reach

#### Declaration [src]

    gboolean
    gssdp_client_can_reach (
      GSSDPClient* client,
      GInetSocketAddress* address
    )

#### Description [src]

Check if the peer at `address` is reachable using this `client`.

Available since: | 1.2.4

#### Parameters

`address` | `GInetSocketAddress*`
| A `GInetSocketAddress` of the target. The port part of the address may be 0
| The data is owned by the caller of the function

#### Return value

Returns: `gboolean`
`TRUE` if considered reachable, `FALSE` otherwise.